Listar ligações
curl --request GET \
--url https://api.notifique.dev/v1/voice/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/voice/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/voice/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/voice/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"phoneNumberId": "<string>",
"fromE164": "<string>",
"toE164": "<string>",
"callSessionId": "<string>",
"callLegId": "<string>",
"answeredAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSecs": 123,
"hangupCause": "<string>",
"recordingAvailable": true,
"recordingId": "<string>",
"dtmfDigits": "<string>",
"gatherResult": "<string>",
"machineDetectionResult": "<string>",
"speakText": "<string>",
"playAudioUrl": "<string>",
"chargedAs": "<string>",
"chargeAmount": 123,
"clientState": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: voice:call",
"code": "FORBIDDEN"
}Voice: Chamadas
Listar ligações
Lista ligações de voz feitas ou recebidas.
GET
/
v1
/
voice
/
calls
Listar ligações
curl --request GET \
--url https://api.notifique.dev/v1/voice/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/voice/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/voice/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/voice/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"workspaceId": "<string>",
"phoneNumberId": "<string>",
"fromE164": "<string>",
"toE164": "<string>",
"callSessionId": "<string>",
"callLegId": "<string>",
"answeredAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSecs": 123,
"hangupCause": "<string>",
"recordingAvailable": true,
"recordingId": "<string>",
"dtmfDigits": "<string>",
"gatherResult": "<string>",
"machineDetectionResult": "<string>",
"speakText": "<string>",
"playAudioUrl": "<string>",
"chargedAs": "<string>",
"chargeAmount": 123,
"clientState": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: voice:call",
"code": "FORBIDDEN"
}Autorizações
ntfVoiceBearerAuthntfVoiceApiKeyHeader
API Key no formato Bearer (ex.: sk_live_...).
Parâmetros de consulta
Página (padrão 1).
Itens por página (padrão 20, máx. 100).
Filtrar por direção.
Opções disponíveis:
OUTBOUND, INBOUND Esta página foi útil?
⌘I

